iscsi_iface_port_speed_get(3)

NAME
iscsi_iface_port_speed_get - Retrieve network port speed of specified iSCSI interface

SYNOPSIS
const char * iscsi_iface_port_speed_get (struct iscsi_iface *iface);

ARGUMENTS

iface
    Pointer of 'struct iscsi_iface'. If this pointer is NULL, your program will be terminated by assert.

DESCRIPTION

Retrieve the network port speed of specified iSCSI interface. Returned string format is '[0-9]+ [MGT]bps', example: '10 Mbps' or '10 Gbps'.

RETURN
const char *. Set to "unknown" if unknown. No need to free this memory, the resources will get freed by iscsi_session_free or iscsi_sessions_free.